﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Net.Http;
using System.Net;
using System.Web;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Json;
using System.ServiceModel.Web;
using System.IO;
using System.Globalization;

namespace SendToNWCConsole
{
    class Program
    {
        public static void Main(string[] args)
        {
            String sBaseUrl = "https://ntxte01.workflowcloud.com/api/v1/workflow/published/ca38ca2e-5ca0-4b27-9ffb-925a5dfaaddb/instances";
            String sBaseToken = "";

            NWCCaller nwcCaller = new NWCCaller(sBaseUrl, sBaseToken);
            
            Task.Run(async () => { await nwcCaller.GetTokenFromNWC(); }).Wait();
            string sToken = nwcCaller.Token;

            List<FileInfo> lFileInfo = new List<FileInfo>();
            string [] sFiles = Directory.GetFiles(@"c:\temp\t");
            foreach(String sFile in sFiles)
            {
                FileInfo fi = new FileInfo(sFile);
                lFileInfo.Add(fi);
            }
            Task.Run(async () => { await nwcCaller.SendFilesToNWC(sToken, lFileInfo.ToArray()); }).Wait();
            List<String> lFileTokens = nwcCaller.ListFileTokens;
            Task.Run(async () => { await nwcCaller.StartNWCWorkflow(sToken, lFileTokens); }).Wait();

            //string details = CallRestMethod(url);
        }


    }
}
